DocumentType (dom4j 1.6.1 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j
Interface DocumentType

All Superinterfaces:
  Cloneable, Node

All Known Implementing Classes:
  AbstractDocumentType

public interface DocumentType
extends Node

`DocumentType` defines an XML DOCTYPE declaration.

Version:
  $Revision: 1.10 $
Author:
  James Strachan

Field Summary

Fields inherited from interface org.dom4j.Node
`ANY_NODE, ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_REFERENCE_NODE, MAX_NODE_TYPE, NAMESPACE_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE, UNKNOWN_NODE`

Method Summary
`String` | `getElementName()` This method is the equivalent to the `Node.getName()`method.
`List` | `getExternalDeclarations()` Returns a list of internal DTD declaration objects, defined in the `org.dom4j.dtd`package
`List` | `getInternalDeclarations()` Returns a list of internal DTD declaration objects, defined in the `org.dom4j.dtd`package
`String` | `getPublicID()`
`String` | `getSystemID()`
`void` | `setElementName(String elementName)` This method is the equivalent to the `Node.setName(java.lang.String)`method.
`void` | `setExternalDeclarations(List declarations)` Sets the list of internal DTD declaration objects, defined in the `org.dom4j.dtd`package
`void` | `setInternalDeclarations(List declarations)` Sets the list of internal DTD declaration objects, defined in the `org.dom4j.dtd`package
`void` | `setPublicID(String publicID)`
`void` | `setSystemID(String systemID)`

Methods inherited from interface org.dom4j.Node
`accept, asXML, asXPathResult, clone, createXPath, detach, getDocument, getName, getNodeType, getNodeTypeName, getParent, getPath, getPath, getStringValue, getText, getUniquePath, getUniquePath, hasContent, isReadOnly, matches, numberValueOf, selectNodes, selectNodes, selectNodes, selectObject, selectSingleNode, setDocument, setName, setParent, setText, supportsParent, valueOf, write`

Method Detail

### getElementName

    public String getElementName()

  This method is the equivalent to the `Node.getName()`method. It is added for clarity.

  Returns:
    the root element name for the document type.

### setElementName

    public void setElementName(String elementName)

  This method is the equivalent to the `Node.setName(java.lang.String)`method. It is added for clarity.

  Parameters:
    `elementName` - DOCUMENT ME!

### getPublicID

    public String getPublicID()

### setPublicID

    public void setPublicID(String publicID)

### getSystemID

    public String getSystemID()

### setSystemID

    public void setSystemID(String systemID)

### getInternalDeclarations

    public List getInternalDeclarations()

  Returns a list of internal DTD declaration objects, defined in the `org.dom4j.dtd`package

  Returns:
    DOCUMENT ME!

### setInternalDeclarations

    public void setInternalDeclarations(List declarations)

  Sets the list of internal DTD declaration objects, defined in the `org.dom4j.dtd`package

  Parameters:
    `declarations` - DOCUMENT ME!

### getExternalDeclarations

    public List getExternalDeclarations()

  Returns a list of internal DTD declaration objects, defined in the `org.dom4j.dtd`package

  Returns:
    DOCUMENT ME!

### setExternalDeclarations

    public void setExternalDeclarations(List declarations)

  Sets the list of internal DTD declaration objects, defined in the `org.dom4j.dtd`package

  Parameters:
    `declarations` - DOCUMENT ME!

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.